%define name pgaccess
%define version 0.98.8.20030520
%define release 2mdk

Summary: A tcl/tk client for postgresql
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source20: pgaccess-16.png
Source21: pgaccess-32.png
Source22: pgaccess-48.png
License: GPL
Group: Databases
Url: http://www.pgaccess.org/index.php?page=PgAccessforLinuxUnixBSD
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: tk >= 8.0
Requires: tcl >= 8.0
Requires: libpgtcl-devel
Requires: tcllib
BuildArch: noarch

%description
A free graphical database management tool for PostgreSQL.
PgAccess has been written by Constantin Teodorescu using Visual Tcl, 
the best tool for developing Tcl/Tk applications I've ever seen.

%prep
%setup -q

rm -fr win32

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%name
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
mkdir -p $RPM_BUILD_ROOT%_menudir

perl -pi -e 's|/usr/local|%{_datadir}|' pgaccess

cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/pgaccess
#!/bin/sh
export PGACCESS_HOME="/usr/share/pgaccess"

\$PGACCESS_HOME/pgaccess.tcl $* &
EOF

#mv pgaccess.tcl $RPM_BUILD_ROOT%{_bindir}/pgaccess

cp -vfr * $RPM_BUILD_ROOT%{_datadir}/%name
rm -fr $RPM_BUILD_ROOT%{_datadir}/%name/doc

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%name
?package(%name):\
needs="x11"\
section="Applications/Databases"\
longtitle="PostgreSQL Tcl/Tk front-end"\
title="PostgreSQL Access"\
icon="pgaccess.png"\
command="pgaccess"
EOF

install -D -m644 %{SOURCE20} $RPM_BUILD_ROOT%{_miconsdir}/pgaccess.png
install -D -m644 %{SOURCE21} $RPM_BUILD_ROOT%{_iconsdir}/pgaccess.png
install -D -m644 %{SOURCE22} $RPM_BUILD_ROOT%{_liconsdir}/pgaccess.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ README
%attr(755,root,root) %{_bindir}/%name
%dir %{_datadir}/%name
%{_datadir}/%name/*
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Fri Dec 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98.8.20030520-2mdk
- Birthday rebuild

* Sat Jul 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98.8.20030520-1mdk
- 0.98.8.20030520

* Thu Feb 13 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98.8.20030117-2mdk
- Fix startup
- Requires tclib
- don't duplicate doc

* Thu Feb 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98.8.20030117-1mdk
- 0.98.8.20030117 (nice version number)

* Fri Jan 17 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98.7-2mdk
- remove Win32 libs (I hope nobody use this)
- BuildArch: noarch

* Wed Jan 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98.7-1mdk
- initial individual package

